<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: Featured Member Panel
| CVS Version: 1.3
| Author: HobbyMan
| Web: http://www.php-fusion.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."featured_member_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."featured_member_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."featured_member_panel/locale/English.php";
}

	$result = dbquery("SELECT * FROM ".DB_USER_FIELDS." INNER JOIN ".DB_USERS." WHERE user_status ='0' ORDER BY rand() DESC LIMIT 0,2");
     if (dbrows($result) != 0) {
      openside($locale['ftm100']);
        $data=dbarray($result);
        
     while ($data = dbarray($result)) {
 
// Check for enabled user fields      
       if ($result['user_aim']) { $aim = ($data['user_aim']); } else { $aim = ""; }
       if ($result['user_icq']) { $icq = ($data['user_icq']); } else { $icq = ""; }
       if ($result['user_msn']) { $msn = ($data['user_msn']); } else { $msn = ""; }
       if ($result['user_yahoo']) { $yah = ($data['user_yahoo']); } else { $yah = ""; }
       if ($result['user_location']) { $location = ($data['user_location']); } else { $location = ""; }
       if ($result['user_web']) { $web = ($data['user_web']); } else { $web = ""; }
       
         $posts = ($data['user_posts']);
         $urlprefix = !strstr($data['user_web'], "http://") ? "http://" : "";
         $email = ($data['user_email']);
         
// Edit colours to suit your theme 
         $colors = array(
	103 => "#F75013",
	102 => "#008000",
	101 => "#3333CC"
    );
	
  echo "<div align='center'><table><tr><td class='small' align='center'>\n";	
  echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'><font color='".$colors[$data['user_level']]."'><b>".trimlink ($data['user_name'], 12)."</b></font></a><br />".getuserlevel($data['user_level'] ? $data['user_level'] : $locale['ftm200'], 20)."";

   echo "</td></tr><tr><td class='small2' align='center'>";

// Display Avatar
  if ($data['user_avatar'] && file_exists(IMAGES."avatars/".$data['user_avatar'])) {
		echo "<img src='".IMAGES."avatars/".$data['user_avatar']."' alt='' />";
		} else {
     echo "<img src='".INFUSIONS."featured_member_panel/images/noav.gif' border='0' alt='".$locale['ftm101']."'/><br /><br />\n";
		}

   echo "</td></tr>\n";
   echo "<tr><td align='center' class='small'>".$locale['ftm102']."<br>".showdate("shortdate", $data['user_joined'])."</td></tr>\n";
   echo "<tr><td align='center' class='small'>".$locale['ftm103']."<br /></td></tr>\n";
   echo "<tr><td align='center' class='small'>".($data['user_lastvisit'] ? showdate("shortdate", $data['user_lastvisit']) : $locale['ftm104'])."<hr></td></tr>\n";
   echo "<tr><td align='center' class='small'>";

// Check user fields
 if ($location) 
       { echo "".$locale['ftm107']." ".$location."<br />"; }
 if ($posts >0) 
       { echo "".$locale['ftm105']." ".$posts."<br />"; }
 if ($web) 
        { echo "<a title='".$web."' href='".$urlprefix.$data['user_web']."' target='_blank'><img src='".INFUSIONS."featured_member_panel/images/web.gif' border='0' alt='".$locale['ftm106']."' /></a>\n"; }
 if ($icq) 
        { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['ftm110']."'><img src='".INFUSIONS."featured_member_panel/images/icq.gif' border='0' alt='".$locale['ftm110']."' /></a>\n";}
 if ($msn) 
        { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['ftm111']."'><img src='".INFUSIONS."featured_member_panel/images/msn.gif' border='0' alt='".$locale['ftm111']."' /></a>\n";}
 if ($yah) 
        { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['ftm112']."'><img src='".INFUSIONS."featured_member_panel/images/yahoo.gif' border='0' alt='".$locale['ftm112']."' /></a>\n";}
 if ($aim) 
        { echo "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['ftm113']."'><img src='".INFUSIONS."featured_member_panel/images/aim.gif' border='0' alt='".$locale['ftm113']."' /></a>\n";}

echo "</td></tr>";
 
// Hide email address from guests and from members if hide email is selected

if ($data['user_hide_email'] == "0") {
$show_email = "<img src='".INFUSIONS."featured_member_panel/images/email.gif' border='0' alt='".$locale['ftm109']."' />";
} elseif ($data['user_hide_email'] == "1") {
$show_email = "<img src='".INFUSIONS."featured_member_panel/images/email_hide.gif' border='0' alt='".$locale['ftm109']."' />";
}

    if (!iMEMBER) {
       echo "<tr><td class='small' align='center'>\n";
       } elseif ((iMEMBER) && ($data['user_hide_email'] == "0")) {
	   echo "<tr><td width='1%' class='small' align='center'><a title='".$locale['ftm109'].$locale['space'].$data['user_name']."' href='mailto:$email' alt='".$locale['ftm109']."' />".$show_email."</a>\n";
       } elseif ((iMEMBER) && ($data['user_hide_email'] == "1")) {
       echo "<tr><td class='small' align='center'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$locale['ftm117']."'>".$show_email."</a>\n";
       }

// Hide Personal Messaging from guests

   if (!iMEMBER) {
      echo "</td></tr>\n";
      } else {
      echo "<a href='messages.php?msg_send=".$data['user_id']."' title='".$locale['ftm108'].$locale['space'].$data['user_name']."'><img src='".INFUSIONS."featured_member_panel/images/pm.gif' border='0' alt='".$locale['ftm108']."' /></a></td></tr>\n";
      }

echo "</table>";
	echo "</div>";
	    }
		  } else {
	  echo "<div align='center'>".$locale['ftm200']."</div>";
	  }
closeside();
?>